import React from 'react';
import { useSearchParams } from 'react-router-dom';

export const Auth: React.FC = () => {
  const [searchParams] = useSearchParams();
  const token = searchParams.get('token');

  const baseUrl = `${window.location.protocol}//${window.location.host}`
  if (token) {
    sessionStorage.setItem('token', token);
    window.location.href = `${baseUrl}/overview`;
  } else {
    sessionStorage.removeItem('token');
    window.location.href = `${baseUrl}`;
  }

  return <></>;
};
